<?
include_once 'config.php';
require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';
if (empty($user_id)) {go(URL.'/');}
echo '<!DOCTYPE html><html lang="ua">
	<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=1">
	<meta name="keywords" content="'.lang('украинский,украинская,социальная,социальный,сеть','український,українська,соціальна,соціальний,мережа').'" />
	<meta name="description" content="GoFriends.tk - '.lang('социальная сеть Украины','соціальна мережа України').'" />
	<link rel="shortcut icon" href="'.URL.'/design/img/favicon.ico" />
	<link rel="stylesheet" href="'.URL.'/design/style.css?r='.$rand.'" type="text/css"/>
	<link rel="stylesheet" href="'.URL.'/design/style2.css?r='.$rand.'" type="text/css"/>';
$title = lang('Пополнение счёта','Поповнення особистого рахунку'); 


if (isset($_POST['summa']))
	{
	if (preg_match('#^([0-9]+)$|^([0-9]+\.)+([0-9]{1,2})$#', $_POST['summa']))
		{
		$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$_POST['summa'].'&hash='.$hash);
		if (is_numeric($data))
			{
			mysql_query("INSERT INTO `worldkassa` (`id_user`, `id_bill`, `time`, `summa`) values('".$user['id']."', '".$data."', '".time()."', '".$_POST['summa']."')");
			header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
			exit();
			}
			else
			{
			$err[]=$data;
			}
		}
		else
		{
		$err[]='Введите корректно сумму';
		}
	}
//err();
echo '
	<div class="block"><font color="#465DDC"><center><b>
	'.lang('На Вашем счёте:','На вашому рахунку').'</font>   - '.$user['balans'].' Монет('.lang('ы','и').')  <b> </b><br /></center></b></div></br>
'.lang('Пополнить:','Поповнити').' на:<br/>
<form action="?" method="post">
<input name="summa" type="text" value="1.00"/> Монет<br/>
<input type="submit" value="'.lang('Пополнить:','Поповнити').'"/>
</form>';
echo '<div class="title">
	<a '. ($act == false?'class="title_a_hover"':'') .' href="'.URL.'/" onclick="Page.Go(this.href); return false">'.lang('Назад','Повернутись на сайт').'</a>
	</div>';
//require_once '../incfiles/foot.php';

?>